---
title: "Release Notes"
url: "https://api-docs.centraldispatch.com/release-notes"
image: "https://api-docs.centraldispatch.com/_og/d/c_Ocean.takumi,title_Release+Notes,props_eyJ0aGVtZSI6eyJtb2RlIjoibGlnaHQiLCJjb2xvcnMiOnsicHJpbWFyeSI6IiNmZTgyMWUifX19,p_Ii9yZWxlYXNlLW5vdGVzIg,s_luUlUT-CCntSi5v8.png"
---

## Release Notes

## Fulfillment API

November 5, 2025: Payment Status

🆕 **Endpoint**: Update Dispatch Payment Status  
Change: New endpoint added  
`POST /api/fulfillments/id/{dispatchId}/update-payment-status`  
  
Notes:  
‣ Allows authorized users with admin or owner roles to update the payment status of dispatches.  
‣ The shipper and carrier will have different and distinct payment status tracking.  
‣ Only dispatches in PENDING\_DELIVERY, DELIVERED, CANCELED, or ARCHIVED status can be updated.  
‣ Payment status values include UNPAID, PARTIALLY\_PAID, and FULLY\_PAID.  
  

🔄 **Endpoint**: Search Dispatches  
Change: New search field added:  
`paymentStatus` - Array field for filtering dispatches by payment status.  
  
Notes:  
‣ You can now filter dispatches by payment status for easier tracking.  
  

🔄 **Endpoint**: Get Dispatch  
Change: New field added  
`paymentStatus` - String field showing the current payment status of the dispatch.

August 11, 2025: Dispatch Enhancements

🔄 **Endpoint**: Create Dispatch  
Change: Two new fields added for shippers:  
`shipperRequestedPickupDate`  
`shipperRequestedDropOffDate`  
  

🔄 **Endpoint**: Respond to Dispatch  
Change: New endpoint added for select carriers only.  
  

🚨 **Endpoint**: Update Dispatch  
Requires Inspection field must be included when updating a dispatch if selected in UI.  
  

Notes:  
‣ If the **Requires Inspection** checkbox is selected in the UI, include the `requiresInspection` field in your API update request.  
‣ Missing this field will cause the update call to fail.  
  

June 13, 2025: Dispatch Instructions & Notes

🚨 **Endpoint**: Create Dispatch & Update Dispatch  
Change: Instructions field appears as “Additional Terms” in the UI.  
  

🚨 **Endpoint**: Update Dispatch  
Change: Once a dispatch is created, both `Instructions` and `preDispatchNotes` become non-editable in UI and API.  
  

Notes:  
‣ You must still include `Instructions` and `preDispatchNotes` in Update Dispatch requests.  
‣ Values must exactly match what was returned in the latest Get Dispatch response.  
‣ If values do not match, the request will return an error.  
‣ For updates after dispatch creation, use `transportationReleaseNotes` field.  
‣ Ensure your systems are updated to avoid disruptions.

## Listings API

August 19, 2026: New ‘Not Listed’ Status

🔄 Endpoint: Get Listing  
**Change:** Listings may now be assigned a NOTLISTED status. Listings in this status will not appear on the load board or in search results.  

A listing may be marked NOTLISTED when:  
‣ The available-to-ship date is more than 4 days in the past  
‣ The listing has reached its expiration date  
‣ The listing was created as non-searchable

  

July 25, 2025: Listings API V2

🆕 Listings API V2  
**Change:** New & refined API data fields:  
‣ Contact & site info: `contactName`, `contactPhone`, `contactCellPhone`, `contactEmailAddress`  
‣ Stop-Level Properties: `locationName`, `locationType`, and more  
‣ Vehicle Properties: `trim`, `doesNotSteer`, `doesNotRoll`, `inOpNotes`, and more  
‣ Shipping Specifications: `height`, `width`, `length`, `weight`  
  

🚨 Transition timeline:  
‣ July 25: Listings V2 documentation available  
‣ August 20: Transition window begins; Listings V1 enters support mode  
‣ February 2026: Listings V1 enters End-of-Life (EOL)  
‣ May 2026: Listings V1 fully decommissioned

## Membership API

December 11, 2025: Customer Access Updates

🔄 Endpoint: Get Customer by ID  
**Change:** New response field added:  
‣ accessPaused: true/false – Indicates if the customer’s access to the platform is currently paused  
  
🔄 Endpoint: Search Customers  
**Change:** Only customers with active access will be returned

## Market Intelligence API

May 15, 2026: Enclosed Filtering Enhancements

🔄 Endpoint: Get Listing Prices  
**Change:** The API now includes an additional request option and new fields in the response to provide more transparency into comparable listings. This update is non breaking.  
  
**New Request Field- enforceEnclosedOnly (boolean):**  
‣ When true, strictly returns only enclosed comparable listings  
‣ Only valid when isEnclosed = true; otherwise returns a 422 error  
‣ May return fewer comparable listings if limited enclosed data is available  
  
**New Response Fields:**  
‣ isEnclosed (boolean)  
‣ inoperable (boolean)  
‣ Returned on every comparable listing  
‣ No request changes required  
  

April 16, 2026: New Comparable Listings Filters (Enclosed-only & Date-Based)

🔄 Endpoint: Get Listing Prices  
**Change:** New optional request fields are available to refine comparable listings returned by the API. These updates are non‑breaking.  

**EnclosedTrailerOnly (boolean):**  
‣ Evaluated only when isEnclosed = true  
‣ Fewer comparable listings may be returned if limited data is available  

**AsOfDate (date):**  
‣ Accepts today’s date or any date up to 365 days in the past  
‣ Defaults to the past 365 days if not provided  

February 11, 2026: Time to Dispatch

🔄 Endpoint: Get Listing Prices  
**Change:** The response now includes an estimated time range for a dispatch to be accepted by a carrier when posted at the predicted price.  
**New Fields:**  
‣ minTimeToDispatchForMeanPredictedPrice (+ units)  
‣ maxTimeToDispatchForMeanPredictedPrice (+ units)